Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class DSAKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.DSAKeyParameters

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  DSAPrivateKeyParameters, DSAPublicKeyParameters

    public class DSAKeyParameters

extends AsymmetricKeyParameter

Constructor Summary
`DSAKeyParameters(boolean isPrivate, DSAParameters params)`

Method Summary
`DSAParameters` `getParameters()`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAKeyParameters

    public DSAKeyParameters(boolean isPrivate,
                            DSAParameters params)

Method Detail

### getParameters

    public DSAParameters getParameters()

Bouncy Castle Cryptography Library 1.45